Audit

Project audit event discovery.

Operations

Each operation lists its specific responses. See Common error responses for errors shared by every operation on this page.

List product audit events

GET /api/v1/audit-events

Operation ID: listPlatformAuditEvents
Effect: read
Confirmation: never
Focused reference: JSON · Markdown

Parameters

Name In Required Type Description
project query No string
actor query No string
action query No string
resourceKind query No string
resourceId query No string
from query No string
to query No string
limit query No integer
pageToken query No string

Responses

Status Description
200 The request has succeeded.

List project audit events

GET /api/v1/projects/{project}/audit-events

Operation ID: listAuditEvents
Effect: read
Confirmation: never
Required privilege: PROJECT_ADMIN
Focused reference: JSON · Markdown

Parameters

Name In Required Type Description
project path Yes string
actor query No string
action query No string
resourceKind query No string
resourceId query No string
from query No string
to query No string
limit query No integer
pageToken query No string

Responses

Status Description
200 The request has succeeded.

List project query audit events

GET /api/v1/projects/{project}/query-events

Operation ID: listQueryEvents
Effect: read
Confirmation: never
Required privilege: PROJECT_ADMIN
Focused reference: JSON · Markdown

Parameters

Name In Required Type Description
project path Yes string
principal query No string
surface query No string
operation query No string
kind query No string
modelId query No string
resourceKind query No string
resourceId query No string
status query No string
search query No string
from query No string
to query No string
limit query No integer
pageToken query No string

Responses

Status Description
200 The request has succeeded.

Common error responses

These error responses apply to every operation on this page.

Status Description
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
409 The request conflicts with the current state of the server.
412 Precondition failed.
413 Client error
415 Client error
422 Client error
429 Client error
500 Server error
502 Server error
503 Service unavailable.